CreateMountTarget
Creates a mount target resource as an endpoint for mounting the S3 File System from compute resources in a specific Availability Zone and VPC. Mount targets provide network access to the file system.
Request Syntax
PUT /mount-targets HTTP/1.1
Content-type: application/json
{
"fileSystemId": "string",
"ipAddressType": "string",
"ipv4Address": "string",
"ipv6Address": "string",
"securityGroups": [ "string" ],
"subnetId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- fileSystemId
-
The ID or Amazon Resource Name (ARN) of the S3 File System to create the mount target for.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40})Required: Yes
- ipAddressType
-
The IP address type for the mount target. If not specified,
IPV4_ONLYis used. The IP address type must match the IP configuration of the specified subnet.Type: String
Valid Values:
IPV4_ONLY | IPV6_ONLY | DUAL_STACKRequired: No
- ipv4Address
-
A specific IPv4 address to assign to the mount target. If not specified and the IP address type supports IPv4, an address is automatically assigned from the subnet's available IPv4 address range. The address must be within the subnet's CIDR block and not already in use.
Type: String
Length Constraints: Minimum length of 7. Maximum length of 15.
Pattern:
[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}Required: No
- ipv6Address
-
A specific IPv6 address to assign to the mount target. If not specified and the IP address type supports IPv6, an address is automatically assigned from the subnet's available IPv6 address range. The address must be within the subnet's IPv6 CIDR block and not already in use.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 39.
Required: No
- securityGroups
-
An array of VPC security group IDs to associate with the mount target's network interface. These security groups control network access to the mount target. If not specified, the default security group for the subnet's VPC is used. All security groups must belong to the same VPC as the subnet.
Type: Array of strings
Array Members: Minimum number of 0 items. Maximum number of 100 items.
Length Constraints: Minimum length of 11. Maximum length of 43.
Pattern:
(sg-[0-9a-f]{8,40})Required: No
- subnetId
-
The ID of the subnet where the mount target will be created. The subnet must be in the same AWS Region as the file system. For file systems with regional availability, you can create mount targets in any subnet within the Region. The subnet determines the Availability Zone where the mount target will be located.
Type: String
Length Constraints: Minimum length of 15. Maximum length of 47.
Pattern:
subnet-[0-9a-f]{8,40}Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"availabilityZoneId": "string",
"fileSystemId": "string",
"ipv4Address": "string",
"ipv6Address": "string",
"mountTargetId": "string",
"networkInterfaceId": "string",
"ownerId": "string",
"securityGroups": [ "string" ],
"status": "string",
"statusMessage": "string",
"subnetId": "string",
"vpcId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- availabilityZoneId
-
The unique and consistent identifier of the Availability Zone where the mount target is located. For example,
use1-az1is an Availability Zone ID for theus-east-1AWS Region, and it has the same location in every AWS account.Type: String
- fileSystemId
-
The ID of the S3 File System associated with the mount target.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
(arn:aws[-a-z]*:s3files:[0-9a-z-:]+:file-system/fs-[0-9a-f]{17,40}|fs-[0-9a-f]{17,40}) - ipv4Address
-
The IPv4 address assigned to the mount target.
Type: String
Length Constraints: Minimum length of 7. Maximum length of 15.
Pattern:
[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3} - ipv6Address
-
The IPv6 address assigned to the mount target.
Type: String
Length Constraints: Minimum length of 3. Maximum length of 39.
- mountTargetId
-
The ID of the mount target, assigned by S3 Files. This ID is used to reference the mount target in subsequent API calls.
Type: String
Length Constraints: Minimum length of 22. Maximum length of 45.
Pattern:
fsmt-[0-9a-f]{17,40} - networkInterfaceId
-
The ID of the network interface that S3 Files created when it created the mount target. This network interface is managed by the service.
Type: String
- ownerId
-
The AWS account ID of the mount target owner.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 12.
Pattern:
(\d{12})|(\d{4}-{4}-\d{4}) - securityGroups
-
The security groups associated with the mount target's network interface.
Type: Array of strings
Array Members: Minimum number of 0 items. Maximum number of 100 items.
Length Constraints: Minimum length of 11. Maximum length of 43.
Pattern:
(sg-[0-9a-f]{8,40}) - status
-
The lifecycle state of the mount target. Valid values are:
AVAILABLE(the mount target is available for use),CREATING(the mount target is being created),DELETING(the mount target is being deleted),DELETED(the mount target has been deleted), orERROR(the mount target is in an error state), orUPDATING(the mount target is being updated).Type: String
Valid Values:
available | creating | deleting | deleted | error | updating - statusMessage
-
Additional information about the mount target status. This field provides more details when the status is
ERROR, or during state transitions.Type: String
- subnetId
-
The ID of the subnet where the mount target is located.
Type: String
Length Constraints: Minimum length of 15. Maximum length of 47.
Pattern:
subnet-[0-9a-f]{8,40} - vpcId
-
The ID of the VPC where the mount target is located.
Type: String
Errors
- ConflictException
-
The request conflicts with the current state of the resource. This can occur when trying to create a resource that already exists or delete a resource that is in use.
- errorCode
-
The error code associated with the exception.
- resourceId
-
The identifier of the resource that caused the conflict.
- resourceType
-
The type of the resource that caused the conflict.
HTTP Status Code: 409
- InternalServerException
-
An internal server error occurred. Retry your request.
- errorCode
-
The error code associated with the exception.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource exists and that you have permission to access it.
- errorCode
-
The error code associated with the exception.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request would exceed a service quota. Review your service quotas and either delete resources or request a quota increase.
- errorCode
-
The error code associated with the exception.
HTTP Status Code: 402
- ThrottlingException
-
The request was throttled. Retry your request using exponential backoff.
- errorCode
-
The error code associated with the exception.
HTTP Status Code: 429
- ValidationException
-
The input parameters are not valid. Check the parameter values and try again.
- errorCode
-
The error code associated with the exception.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: